#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-Parse-Yapp
Version		:	1.21
Release		:	14.8.0.0%{?dist}
Summary		:	Perl extension for generating and using LALR parsers

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/distribution/Parse-Yapp/yapp

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	coreutils
BuildRequires	:	make
BuildRequires	:	perl

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
Parse::Yapp (Yet Another Perl Parser compiler) is a collection of modules that
let you generate and use yacc like thread safe (reentrant) parsers with perl
object oriented interface.  The script yapp is a front-end to the Parse::Yapp
module and let you easily create a Perl OO parser from an input grammar file.

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/yapp
%{_datadir}/perl5/core_perl/Parse/Yapp.pm
%{_datadir}/perl5/core_perl/Parse/Yapp/*.pm
%{_mandir}/man1/yapp.1.gz
%{_mandir}/man3/Parse::Yapp.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\
	NO_PACKLIST=1						\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

#-----------------------------------------------------------------------------
%changelog

